#include "interface.h"
#include "spec.h"
#include "symbols.h"
#include "symbols_spec.h"
#include "mem.h"

void spec_send(void)
{
	struct mt_MTDeviceSpec r =
		{ .memory=MEMSIZE
		, .aPins =APINS
		, .dPins =DPINS
		, .haveDHT =
#ifdef HAVE_DHT
			true
#else
			false
#endif
		, .haveLM=
#ifdef HAVE_LEDMATRIX
	true
#else
	false
#endif
		, .haveI2B=
#ifdef HAVE_I2CBUTTON
	true
#else
	false
#endif
		, .haveLS=
#ifdef HAVE_LIGHTSENSOR
	true
#else
	false
#endif
		, .haveAQS=
#ifdef HAVE_AIRQUALITYSENSOR
	true
#else
	false
#endif
		};
	write_byte(MTFSPEC);
	printstruct_mt_MTDeviceSpec(r, &write_byte);
	write_byte('\n');
}
